@import './resets';
@import './variables';

@function weight($weight-name) {
    @return map-get($font-weights, $weight-name );
}

@mixin flexCenter($direction) {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: $direction;
}

@mixin theme($light-theme: true) {
    @if $light-theme {
        background-color: lighten($primary-color, 100%);
        color: darken($text-color, 100%);
    } 
}

@mixin mobile {
    @media (max-width: $mobile) {
        @content;
    }
    
}

body {
    background: $primary-color;
    color: $text-color;
}

.main {
    @include flexCenter(row);
    width: calc(80%-40%);
    margin: 0 auto;

    #{&}__paragraph1 {
        font-weight: weight(bold);


        &:hover {
            color: $accent-color;
        }
    }

    #{&}__paragraph2 {
        @extend .main__paragraph1;

        &:hover {
            color: orchid;
        }
    }

    @include mobile {
        flex-direction: column;
    }
}

.light {
    @include theme($light-theme: true);
}